Wikimedia wikis need better issue reporting system
Open, LowPublic

Description

Currently if a Wikimedia wiki has an issue, the venues for users to report the issue are limited and esoteric. These mostly include IRC and/or Phabricator.

Only OTRS had a clear traking of open/closed issues and waiting times, allowing a sort of SLA. Time doesn't exist in the article talk pages (ns1), which live in the WikiNow.

There should be a proper user interface for reporting problems with the site that's available from the sidebar of any Wikimedia wiki. There are some notes about this here:

See also: T86956: Use structured feedback for MediaWiki core's feedback tool

bzimport set Reference to bz27852.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.Mar 4 2011, 8:20 PM
  • This bug has been marked as a duplicate of bug 27001 ***

(In reply to comment #1)

  • This bug has been marked as a duplicate of bug 27001 ***

Un-duping for now. Bugzilla integration doesn't seem to meet the scope of this bug. This is about problem reporting generally. Bugzilla integration with MediaWiki would make tech-problem reporting easier, but wouldn't do much to address other issues, as far as I can tell. For example, "this page contains a copyright violation" or "this page is libelous." A generic problem reporting interface might solve both bugs.

This is about problem reporting generally.

Bug 27001 address that problem. Any solution to Bug 27001 will necessarily require a solution to this bug if only to avoid creating confusion from "Where do I report this issue?"

(In reply to comment #3)

This is about problem reporting generally.

Bug 27001 address that problem. Any solution to Bug 27001 will necessarily
require a solution to this bug if only to avoid creating confusion from "Where
do I report this issue?"

I'm sorry, I'm not following. Bug 27001 is about Bugzilla/MediaWiki integration. I don't think anyone intends for Bugzilla to ever be used as a place where a random user can say "hey, this article seems like a copyright violation" or other similar article issue complaints. Is that how you envision the future of Bugzilla? If so, you're absolutely correct and this is a duplicate. But I have a very strong inclination that _nobody_ wants to see general article issues being reported in Bugzilla, so some other system would be needed (the subject of this bug). Something more along the lines of OTRS/MediaWiki integration would be closer, I think, though not quite there.

Is that how you envision the future of Bugzilla?

No, but the idea is to give people a single place of reporting *all* problems and then having a way to feed those reports into OTRS or Bugzilla. I think a problem reporting wizard would be one possible way to solve this. And then, when someone says "I found a problem with Wikipedia", you just direct them to the problem reporting wizard instead of worrying about which system their problem goes into.

(In reply to comment #5)

Is that how you envision the future of Bugzilla?

No, but the idea is to give people a single place of reporting *all* problems
and then having a way to feed those reports into OTRS or Bugzilla.

Ah, okay. That's not how I read bug 27001 at all. I read it as a means to integrate two specific software systems for the purpose of making tech problem reporting easier. If it's not as narrow as that, feel free to re-resolve this.

I think a problem reporting wizard would be one possible way to solve this.
And then, when someone says "I found a problem with Wikipedia", you just
direct them to the problem reporting wizard instead of worrying about which
system their problem goes into.

Yes, agreed. That's what I was pushing for with this bug (as opposed to the more narrow vision I saw in bug 27001). The brainstorming page at the English Wikipedia (http://en.wikipedia.org/wiki/Wikipedia:Kvetch) sort of outlines this. Some sort of sidebar pop-up/Special page extension with a wizard that users could use would be ideal here, I think.

  • Bug 27001 has been marked as a duplicate of this bug. ***
  • Bug 29853 has been marked as a duplicate of this bug. ***
demon added a comment.Nov 30 2011, 3:13 PM

I think we should be able to work on something to do this. Write up an extension that starts with "What sort of issue do you have?"

  1. Typo or mistake in article
  2. Page is a copyright violation
  3. Technical issue with the site

Then the user could be presented with a form that guides them through reporting effectively. Each "type" of problem could go to a different backend (eg: tech issues to BZ, copyright issue to e-mail OTRS, etc)

Just throwing in a couple notes & sketches I worked on last year on the topic. The goal was to have a unified interface dispatching to onwiki forums / OTRS / etc. depending on the issue and the choices of the user.

Just in case it can be helpful:
http://usability.wikimedia.org/wiki/Multimedia:%22Report_an_issue%22_wizard

(In reply to comment #10)

I think we should be able to work on something to do this. Write up an
extension that starts with "What sort of issue do you have?"

What would you do when people misfile their reports?
Filed as 'Mistake in article': I get gibberish in the pdf export of [[foo]] (a backtrace). 'Technical issue': There should be an arbitration commitee for this wiki.
I'm sure final users will get much more creative.

(In reply to comment #0)

Currently if a Wikimedia wiki has an issue, the venues for users to report the
issue are limited and esoteric. These mostly include IRC and/or Bugzilla.

There should be a proper user interface for reporting problems with the site
that's available from the sidebar of any Wikimedia wiki.

Probably not exactly what you're looking for, but there are Feedback pages per extension, such as
https://www.mediawiki.org/wiki/Visual_editor/Feedback
https://commons.wikimedia.org/wiki/Commons:Upload_Wizard_feedback

And Erik told me that
"MediaWiki has a built-in JavaScript library for providing feature-level feedback through a pop-up, and posting that feedback to a wiki page. As noted above, I think it's currently only used by Upload Wizard and Visual Editor (the latter brokenly)."

(In reply to comment #13)

And Erik told me that
"MediaWiki has a built-in JavaScript library for providing feature-level
feedback through a pop-up, and posting that feedback to a wiki page. As noted
above, I think it's currently only used by Upload Wizard and Visual Editor (the
latter brokenly)."

It's used in eswiki for all kind of article errors (see «Notificar un error» in the sidebar). Unless Erik was refering to a different feedback popup.

So what are the exact criteria required to consider this bug report FIXED?

(In reply to comment #17)

So what are the exact criteria required to consider this bug report FIXED?

Some mixture of comment 10, comment 11, comment 12, comment 15, and comment 16, I guess.

Qgil added a comment.Apr 17 2014, 5:20 AM

A year later...

Developing an extension? Isn't enough editing wiki pages (improving the documentation) and perhaps the sidebar (improving UX)?

Different Wikimedia projects have different ways to handle user feedback and problems reported. en.wiki has https://en.wikipedia.org/wiki/Wikipedia:Contact_us , es.wiki has that piece of JS, other (most) projects basically will address any kind of user feedback via the Village Pump, and perhaps an email address. Could one tool work for all? In different languages?

It would be useful to know more about these users getting confused about where to report problems. Maybe that would help us improving the current documentation and channels.

Also, for what is worth we are discussing the possibility of moving Bugzilla et al to Phabricator, where users could follow deep links from wiki pages, log in with their Wikimedia credentials, and report problems with certain fields pre-filled. See https://www.mediawiki.org/wiki/Requests_for_comment/Phabricator

Nemo_bis edited the task description. (Show Details)Feb 22 2015, 9:01 AM
Nemo_bis set Security to None.
Qgil added a comment.May 5 2015, 11:44 AM

With Phabricator and Wikimedia SUL, some of the statements of the task description are not valid anymore. What would be still needed to complete this task?

Nemo_bis edited the task description. (Show Details)May 7 2015, 2:00 PM

some of the statements of the task description are not valid anymore.

Fixed.

Elitre added a subscriber: Elitre.May 22 2015, 10:48 AM
Qgil added a comment.Jun 28 2015, 10:31 PM

Do we have a problem of issues being unnoticed because users don't know how to report them?

Adding a link to the sidebar as requested might end up in the creation of a black hole where lots of users submit plenty of issues without nobody triaging at the other end. Those issues might include feedback about articles, vandalism, duplicate reports...

Even if the idea sounds nice, I'm not sure it would be as useful as it sounds in practice.

Do we have a problem of issues being unnoticed because users don't know how to report them?

Yes.

Even if the idea sounds nice, I'm not sure it would be as useful as it sounds in practice.

It works where it was tried. (Or it's used where it works; a matter of perspective.)

Qgil edited the task description. (Show Details)Dec 1 2015, 8:19 AM
Qgil removed a subscriber: wikibugs-l-list.

Even if the idea sounds nice, I'm not sure it would be as useful as it sounds in practice.

It works where it was tried. (Or it's used where it works; a matter of perspective.)

@Nemo_bis: What did/does that link to?
Personally I'd link to https://www.mediawiki.org/wiki/How_to_report_a_bug as a step in-between - advanced users familiar with that "Phabricator" thingy could always bookmark a direct URL themselves.

What did/does that link to?

See the URL in task description.

Personally I'd link to https://www.mediawiki.org/wiki/How_to_report_a_bug

Uh? This report is not about bugs but about content issues, AFAIK.

Personally I'd link to https://www.mediawiki.org/wiki/How_to_report_a_bug

Uh? This report is not about bugs but about content issues, AFAIK.

It's fairly ambiguous, this report is about "Issues with the site." An "issue" with the site is generally labeled as such based on personal perception, which leads to the tail chasing of "Oh, you have a bug" "that's not a bug, that's a feature" "that's not a feature, it's a site issue, not a MediaWiki issue" "it's actually a content issue, go here" "no, that's not a content issue, that's a bug..." etc.

This happens a lot.

Add Comment